"use strict";

this.author      = "cim"; 
this.copyright   = "2011-2015 cim."; 
this.licence = "CC-BY-SA 3.0";
this.name = "RRS Headquarters Script";

this.dockposition = undefined;

this.initialiseStation = function() {
		var busyness = Math.random()/2;
		var subents = this.ship.subEntities;
		var bays = new Array();
		var ffs = new Array();
		var positions = new Array();
		for (var i=0;i<subents.length;i++) {
				if (subents[i].hasRole("rrs_hq_bay")) {
						bays.push(subents[i]);
						if (!subents[i].hasRole("rrs_hq_bay_dock")) {
								positions.push(subents[i].position);
						} else {
								var activedockpos = subents[i].position;
						}
				} else if (subents[i].hasRole("rrs_hq_ff")) {
						ffs.push(subents[i]);
				} else if (!subents[i].hasRole("rrs_hq_component")) {
						if (Math.random() < busyness) {
								subents[i].remove(true)
						}
				}
		}
		
		positions.sort(function(a,b) { return Math.random()-0.5; });
		for (var i=0;i<bays.length;i++) {
				if (bays[i].hasRole("rrs_hq_bay_dock")) {
						for (var j=0;j<ffs.length;j++) {
								if (ffs[j].position.distanceTo(bays[i].position) < 50) {
										ffs[j].remove(true);
								}
						}
						this.dockposition = bays[i].position;
				} else {
						bays[i].position = positions.shift();
				}
		}

		system.addShips("rrs-hq-buoy",1,this.ship.position.add(activedockpos).add(this.ship.vectorForward.multiply(12E3)),1);

}
